#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 10. Graphics and Font Libraries

- Prev

  libpng-1.6.37

- Next

  librsvg-2.50.3

- Up
- Home

# libraw-0.20.2

## Introduction to libraw

Libraw is a library for reading RAW files obtained from digital photo cameras (CRW/CR2, NEF, RAF, DNG, and others).

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): http://www.libraw.org/data/LibRaw-0.20.2.tar.gz

- Download MD5 sum: 2e5bedb59ea433e2d2ef6bbbe5253179

- Download size: 1.4 MB

- Estimated disk space required: 29 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### libraw Dependencies

#### Recommended

libjpeg-turbo-2.0.6, JasPer-2.0.25, and Little CMS-2.12

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libraw

## Installation of libraw

Install libraw by running the following commands:

    autoreconf -fiv              &&
    ./configure --prefix=/usr    \
                --enable-jpeg    \
                --enable-jasper  \
                --enable-lcms    \
                --disable-static \
                --docdir=/usr/share/doc/libraw-0.20.2 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-jpeg`: This switch enables support for jpeg. Remove if you don't have libjpeg-turbo-2.0.6 installed.

`--enable-jasper`: This switch enables support for jasper. Remove if you don't have JasPer-2.0.25 installed.

`--enable-lcms`: This switch enables support for Little CMS2. Remove if you don't have Little CMS-2.12 installed.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

### Note

All the installed programs are examples of libraw use.

Installed Programs: 4channels, dcraw_emu, dcraw_half, half_mt, mem_image, multirender_test, postprocessing_benchmark, raw-identify, simple_dcraw, and unprocessed_raw
Installed Library: libraw.so and libraw_r.so
Installed Directories: /usr/include/libraw and /usr/share/doc/libraw-0.20.2

### Short Descriptions

4channels | generates four TIFF files from RAW data, one file per channel
dcraw_half | emulates "dcraw -h" (see DCRAW manpage)
mem_image | emulates "dcraw [-4] [-6] [-e]" (see DCRAW manpage)
postprocessing_benchmark | creates eight different renderings from one source file. The first and fourth one should be identical
simple_dcraw | emulates call to "dcraw [-D] [-T] [-v] [-e] [-4]" (see DCRAW manpage)
dcraw_emu | is an almost complete dcraw emulator (see DCRAW manpage)
half_mt | emulates call to "dcraw -h [-w] [-a] [-v]" (see DCRAW manpage)
multirender_test | creates eight different renderings from one source file. The first and fourth one should be identical
raw-identify | emulates call to "dcraw -i [-v]" (see DCRAW manpage)
unprocessed_raw | generates unprocessed raw image: with masked pixels and without black subtraction

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  libpng-1.6.37

- Next

  librsvg-2.50.3

- Up
- Home